> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Credit Child Account



## OpenAPI

````yaml openapi.json post /child/credit
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /child/credit:
    parameters: []
    post:
      tags:
        - Child Accounts
        - Merchant
      summary: Credit Child Account
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: null
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '903'
            ETag:
              schema:
                type: string
              example: W/"387-f4MbgUkbM62vizkuf/6/02IqcHg"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Wed, 24 Jul 2024 12:58:56 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Credit Child Account - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      paidAt:
                        type: string
                        format: date-time
                      charges:
                        type: integer
                      totalAmount:
                        type: integer
                      description:
                        type: string
                      mode:
                        type: string
                      status:
                        type: string
                      amount:
                        type: integer
                      walletId:
                        type: string
                      merchantId:
                        type: string
                      transactionReference:
                        type: string
                      childAccountId:
                        type: string
                      childAccountName:
                        type: string
                      childAccountNumber:
                        type: string
                        format: utc-millisec
                      narration:
                        type: string
                      customerMetadata:
                        type: object
                        properties:
                          userId:
                            type: string
                      beneficiaryAccountName:
                        type: string
                      beneficiaryAccountNumber:
                        type: string
                        format: utc-millisec
                      originatorBankCode:
                        type: string
                        format: color
                      originatorBankName:
                        type: string
                      originatorAccountName:
                        type: string
                      originatorAccountNumber:
                        type: string
                        format: utc-millisec
                      transactionId:
                        type: string
              example:
                status: true
                message: Account successful credited
                data:
                  paidAt: '2024-07-25T13:21:33+01:00'
                  charges: 20
                  totalAmount: 1020
                  description: ₦1,000.00 sent to child wallet Abdulrahman
                  mode: SANDBOX
                  status: SUCCESS
                  amount: 1000
                  walletId: d68b7371-6709-4247-99b3-142e3130aa69
                  merchantId: 1f18305f-851a-4266-bdc6-6fc1525928cf
                  transactionReference: bKhlL2uMjJeOz6mY9TQFKpdJIfoUIsD9Op5r
                  childAccountId: 5e37f271-a3ba-4cd7-ab14-551da019bb5a
                  childAccountName: Abdulrahman
                  childAccountNumber: '7838488742'
                  narration: Testing crediting
                  customerMetadata:
                    userId: testing123
                  beneficiaryAccountName: Abdulrahman
                  beneficiaryAccountNumber: '7838488742'
                  originatorBankCode: '999270'
                  originatorBankName: Xpress Wallet
                  originatorAccountName: Neyosoft
                  originatorAccountNumber: '4409794005'
                  transactionId: 89b02573-1563-4a74-90cc-d1baee0495b2
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````